import App

def Create(pTorp):
    kOuterShellColor = App.TGColorA()
    kOuterShellColor.SetRGBA(1.0, 0.0, 0.0, 1.0)
    kOuterCoreColor = App.TGColorA()
    kOuterCoreColor.SetRGBA(0.639216, 1.0, 0.639216, 1.0)
    pTorp.CreateDisruptorModel(kOuterShellColor, kOuterCoreColor, 0.9, 0.1)
    pTorp.SetDamage(GetDamage())
    pTorp.SetDamageRadiusFactor(1.0)
    pTorp.SetGuidanceLifetime(GetGuidanceLifetime())
    pTorp.SetMaxAngularAccel(GetMaxAngularAccel())
    pTorp.SetLifetime(GetLifetime())
    import Multiplayer.SpeciesToTorp
    pTorp.SetNetType(Multiplayer.SpeciesToTorp.PULSEDISRUPT)
    return 0


def GetLaunchSpeed():
    return 85.0


def GetLaunchSound():
    return 'Klingon Disruptor'


def GetPowerCost():
    return 100.0


def GetName():
    return 'Energy Dissipator'


def GetDamage():
    return 820.0


def GetGuidanceLifetime():
    return 8.0


def GetMaxAngularAccel():
    return 0.40


def GetLifetime():
    return 8.0

